function GerarRelatorioRM() {

	// cria uma nova janela para exibição do conteúdo do relatório em PDF
	newWindow = window.open('RMReports', 'pagina');
	newWindow.document.write("<iframe id='iFrameReport' width='100%' height='100%' src='" + getBytesRMReport() + "'></iframe>");
}


function getBytesRMReport() {

	// Constraint com o identificador do boleto que será utilizado para geração do realtório
	var IdBoleto = DatasetFactory.createConstraint("IDBOLETO", "110011", "110011", ConstraintType.MUST);
	var constraints = new Array(IdBoleto);

	var resultado = "";

	// dsRelatorioWs é identificador do DataSet exportado para o Fluig
	var dataset = DatasetFactory.getDataset("dsRelatorioWs", null, constraints, null);
	var wsReport = dataset.values[0];

	// seta o formato de abertura da string base 64 retornada pelo Web Service do RM Reports para PDF
	if (dataset.values.length == 1) {
		resultado = "data:application/pdf;base64, " + wsReport["RELATORIO"];
	}

	return resultado;
}

